Name:		knights
Version:	2.2.0
Release:	1%{?dist}
Summary:	A chess board for KDE

Group:		Amusements/Games
License:	GPLv3+
URL:		http://kde-apps.org/content/show.php/Knights?content=122046
Source0:	http://dl.dropbox.com/u/2888238/Knights/knights-2.2.0.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	kdegames-devel
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	gnuchess
#from the KDE SIG page:
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }


%description
Knights is a chess board for KDE that supports playing against
computer engines that support the XBoard protocol like GNUChess and also
multiplayer games over the internet on FICS. It features automatic rule
checking, themes, and nice animations


%prep
%setup -q


%build
%{cmake_kde4} .
make


%install
make install DESTDIR=%{buildroot}

desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%find_lang %{name}


#scriplet to update the icon cache
%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
#end of scriptlet


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README
%{_bindir}/%{name}
%{_kde4_appsdir}/%{name}
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde4_docdir}/HTML/*/%{name}
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_configdir}/%{name}.knsrc
%{_kde4_configdir}.kcfg/%{name}.kcfg



%changelog
* Mon Jan 31 2011 Julian Aloofi <julian@fedoraproject.org> 2.2.0-1
- initial package
